org.hibernate.search.hcore.impl

## Class HibernateSearchIntegrator

- java.lang.Object
- - org.hibernate.search.hcore.impl.HibernateSearchIntegrator

- All Implemented Interfaces:
    Integrator

      public class HibernateSearchIntegrator
      extends Object
      implements Integrator

  Integrates Hibernate Search into Hibernate Core by registering its needed listeners
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Steve Ebersole

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HibernateSearchIntegrator.DuplicationStrategyImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTO_REGISTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateSearchIntegrator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disintegrate(SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)`
    `void` | `integrate(Metadata metadata, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTO_REGISTER

          public static final String AUTO_REGISTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HibernateSearchIntegrator

          public HibernateSearchIntegrator()

  - ### Method Detail

    - #### integrate

          public void integrate(Metadata metadata,
                                SessionFactoryImplementor sessionFactory,
                                SessionFactoryServiceRegistry serviceRegistry)

      Specified by:
        `integrate` in interface `Integrator`

    - #### disintegrate

          public void disintegrate(SessionFactoryImplementor sessionFactory,
                                   SessionFactoryServiceRegistry serviceRegistry)

      Specified by:
        `disintegrate` in interface `Integrator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved